Agent/Reset Agent Dashboard
POST /v1/agent/dashboards/{id}/reset

Reset Agent Dashboard

Base URL https://api.{cluster}.{platform}.voiger.io
Request · cURL
curl -X POST https://api.{cluster}.{platform}.voiger.io/v1/agent/dashboards/{id}/reset \
  -H "Cookie: sid=$VOIGER_SESSION" \
  -H "x-workspace-code: your-workspace-code" \
  -H "x-csrf-token: $CSRF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Parameters

x-workspace-code string required in header
x-csrf-token string required in header
id string required in path
Dashboard ID

Response

dashboard▾
object
id
string Dashboard unique identifier
name
string Dashboard name
description
string Dashboard description
image_id
string Dashboard image identifier (can be null)
visibility
string Dashboard visibility setting
mutable
boolean Whether the dashboard can be modified
is_primary
boolean Whether this is the primary dashboard
owner_id
string Dashboard owner agent ID
created_at
string Creation timestamp
updated_at
string Last update timestamp
widgets▾
array List of widgets in the dashboard
id
string Widget unique identifier
key
string Widget key identifier
category
string Widget category
sub_category
string Widget sub-category
settings
object Widget configuration settings
created_at
string Creation timestamp
updated_at
string Last update timestamp